onconfirm
Description
Fires when a non-cancel button is clicked or when the ENTER key is pressedUsage
onconfirm?: (ev: { button?: string; ev: MouseEvent }) => void;
Parameters
The callback of the event can receive:
-
button- (optional) the id of the button that was clicked. It will be set to "ok" for the OK button, or the configured id of any other custom button (except "cancel"). If the event fires by pressing ENTER, the callback is called with no parameters. -
ev- (required) the native click event of the button
Example
<script setup>
import { ref } from "vue";
import { Modal, Text, Portal, Button } from "@svar-ui/vue-core";
const custom1 = ref(false);
function hideAll() {
custom1.value = false;
}
</script>
<template>
<Portal v-if="custom1">
<Modal title="Custom Prompt" :onconfirm="hideAll">
<Text :select="true" :focus="true" value="Some" />
</Modal>
</Portal>
</template>
Related article: Providing the buttons' functionality
Related sample: Messages

onConfirm
Description
Fires when a non-cancel button is clicked or when the ENTER key is pressedUsage
onConfirm?: (ev?: { button?: string; ev: MouseEvent }) => void;
Parameters
The callback of the event can receive:
-
button- (optional) the id of the button that was clicked. It will be set to "ok" for the OK button, or the configured id of any other custom button (except "cancel"). If the event fires by pressing ENTER, the callback is called with no parameters. -
ev- (required when provided) the native click event of the button
Example
import { useState } from "react";
import { Modal, Text, Portal, Button } from "@svar-ui/react-core";
export default function Example() {
const [custom1, setCustom1] = useState(false);
function hideAll() {
setCustom1(false);
}
return (
<>
{custom1 && (
<Portal>
<Modal title="Custom Prompt" onConfirm={hideAll}>
<Text select={true} focus={true} value="Some" />
</Modal>
</Portal>
)}
</>
);
}
Related article: Providing the buttons' functionality
Related sample: Messages